::resetAmmo <- function () {
    local weapon = GetPropEntityArray(self, "m_hMyWeapons", 0);
    SetPropIntArray(self, "m_iAmmo", 1, weapon.GetPrimaryAmmoType());
}

::revivePlayer <- function()
{
    self.ForceRegenerateAndRespawn()
}

::setupPlayer <- function()
{
    removeWeapons(self)
    if ( !self.GetWeapon("Machete") ) {
        self.GiveWeapon("Machete");
    }
    if ( !self.GetWeapon("Revolver")) {
        self.GiveWeapon("Revolver");
    }
    local weapon = GetPropEntityArray(self, "m_hMyWeapons", 0);
    SetPropIntArray(self, "m_iAmmo", 1, weapon.GetPrimaryAmmoType());
    weapon.SetClip1(-1);
    weapon.AddAttribute("mod max primary clip override", -1.0, -1.0);
}

::removeWeapons <- function(player)
{
    for (local i = 0; i < 7; i++)
    {
        local weapon = GetPropEntityArray(player, "m_hMyWeapons", i);
        if (weapon == null)
            continue;
        //printl(weapon)
        //printl(weapon.GetSlot())
        if (weapon.GetSlot() != 0 && weapon.GetSlot() != 2)
        {
            player.DeleteWeapon(weapon)
        }
        player.DeleteWeapon("tf_wearable")
    }
}
function Tick()
{
    return -1
}

function OnGameEvent_player_spawn(params)
{
    local id = params.userid
    local player = GetPlayerFromUserID(id)
    if (Started == false)
    {
        if (player == null)
            return;
        Lives[id] <- 3
    }
    if (player.GetTeam() != 0 && player.GetTeam() != 1)
    {
        if ((player.GetPlayerClass() != TF_CLASS.SPY) || (player.GetTeam() != 2))
        {
            SetPropInt(player, "m_Shared.m_iDesiredPlayerClass", TF_CLASS.SPY);
            player.SetPlayerClass(TF_CLASS.SPY)
            player.ForceChangeTeam(2, true);
            player.ForceRegenerateAndRespawn()
        }
        EntFireByHandle(player,"RunScriptCode","setupPlayer()",0.0,player,player);
    }
}
function OnGameEvent_post_inventory_application(params)
{
	if ("userid" in params)
	{
		local player = GetPlayerFromUserID(params.userid);	//grab player ID...

        player.GTFW_Cleanup()
        player.LoadLoadout()
    }
}

function OnGameEvent_player_death(params)
{
    local id = params.userid
    local player = GetPlayerFromUserID(id)
    local attacker = GetPlayerFromUserID(params.attacker)
    if (Started == true)
    {

    if (id in Lives)
    {
        Lives[id] -= 1
        if (Lives[id] > 0)
        {
            EntFireByHandle(player,"RunScriptCode","revivePlayer()",3.0,player,player);
        }

    }
    if (GetAlivePlayerCount() <= 1)
    {
        winRound()
    }
    EntFireByHandle(attacker, "RunScriptCode", "resetAmmo()", 0.0, null, null)
    local ammoPack = null;
    while (ammoPack = Entities.FindByClassname(ammoPack, "tf_ammo_pack"))
        if (ammoPack.GetOwner() == player)
            ammoPack.Destroy();
}
}

function OnScriptHook_OnTakeDamage(params)
{
    params.force_friendly_fire = true
    if (params.const_entity.IsPlayer())
    {
        if (Started)
        {
            params.damage = 10000
        }
        else
        {
            params.damage = 0

        }


    }

}


__CollectGameEventCallbacks(this)